package ink.wgink.pojo.dtos.file;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 文件上传成功
 * @Author: WenG
 * @Date: 2022/4/22 7:09
 * @Version: 1.0
 **/
@ApiModel
public class FileUploadSuccessDTO implements Serializable {

    private static final long serialVersionUID = 396257753407239500L;
    @ApiModelProperty(name = "fileId", value = "文件ID")
    private String fileId;
    @ApiModelProperty(name = "fileName", value = "文件名")
    private String fileName;
    @ApiModelProperty(name = "fileSize", value = "文件大小")
    private long fileSize;

    public FileUploadSuccessDTO() {
    }

    public FileUploadSuccessDTO(String fileId) {
        this.fileId = fileId;
    }

    public FileUploadSuccessDTO(String fileId, String fileName, long fileSize) {
        this.fileId = fileId;
        this.fileName = fileName;
        this.fileSize = fileSize;
    }

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public long getFileSize() {
        return fileSize;
    }

    public void setFileSize(long fileSize) {
        this.fileSize = fileSize;
    }
}
